# Netlysis

## Travaux d'analyse sur un cas de réseau d'intéraction
### Réseau de collaboration scientifique

## Question 2

Nous avons effectué ces mesures sur le réseau à analyser :

```
N: 317080
L: 1049866
<k>: 6.622
<C>: 0.632
```

Le coefficient moyen de clustering d'un réseau aléatoire de même taille et de même degré moyen est :

$Ci = p = \langle k \rangle \div N = 6,622 \div 137080 \ = 0,000048308$

## Question 3

Le réseau scientifique est bel et bien connexe. Puisque son degré moyen
est de 6,622, et qu'un réseau aléatoire atteint un régime pleinement
connecté à partir d'un degré moyen d'environ 4,5, alors on peut dire qu'un
réseau aléatoire avec ces mêmes caractéristiques serait connexe.

## Question 4

![Distribution des degrés](images/nerds/nerds_degrees_distribution.png)

*Distribution des degrés dans le réseau de terrain*

Coéfficients trouvés pour la loi de puissance : c -> 10.806, gamma -> 2.717

## Question 5

La distance moyenne calculée sur un échantillon de 1000
noeuds est de 6.81. Pour savoir si ce réseau est un
réseau petit monde, il faut vérifier que sa distance moyenne
ne dépasse pas $\ln N \div \ln \langle k \rangle$.

La distance moyenne dans un réseau aléatoire
aux mêmes caractéristiques de taille et de degré moyen est d'environ :

$<d> = \ln N / \ln \langle k \rangle = \ln 317080 / \ln 6.622 ~= 6.701$

$\ln N / \ln \langle k \rangle \gt \langle d \rangle$  ce réseau n'est donc pas un réseau petit monde.

![Distribution des distances](images/nerds/nerds_distances_distribution.png)

*Distribution des distances dans le réseau de terrain*

Après traçage de la distribution, je conjecture que la loi de cette distribution
est une loi normale centrée autour de la moyenne, ~6.7.